Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 83)
@@ -66,7 +66,7 @@
             PurchaseOrderStatus = 19,           // 19:注文書発給一覧
             OrderJoin = 20,                     // 20:工事結合
             ConstructionSplit = 21,             // 21:工事分割
-            DRTransport = 22,                   // 22:通勤交通費
+            PersonApprovalList = 22,            // 22:担当者承認一覧
             MaterialList = 23,                  // 23:資材一覧
             MaterialHistory = 24,               // 24:資材履歴画面
             MaterialCountEntry = 25,            // 25:資材数変更画面
@@ -77,6 +77,10 @@
             PaymentConfirmation = 30,           // 30:入金確認
             RequestInput = 31,                  // 31:請求入力
             RequestPrint = 32,                  // 32:請求書印刷
+            CostomerRegistList = 33,            // 33:発注者登録申請一覧
+            CostomerRegist = 34,                // 34:発注者登録申請
+            SubConstrRegistList = 35,           // 35:協力会社登録申請一覧
+            SubConstrRegist = 36                // 36:協力会社登録申請
         }
         #endregion
 
@@ -128,16 +132,17 @@
             MessageReader = 202,                // 202:掲示板読込
             ActionSchdule = 203,                // 203:行動予定入力
             VehicleSchdule = 204,               // 204:車両予約入力
-            ApprovalScreen = 205,               // 205:承認画面
+            ApprovalScreen = 205,               // 205:工事承認画面
             SubconstractorDiag = 206,           // 206:協力会社検索画面
             SuppliersDiag = 207,                // 207:仕入先検索
             SubConJobDiag = 208,                // 208:協力会社職種検索画面
+            ApprovalPerson = 209,               // 209:担当者承認画面
         }
         #endregion
 
-        #region 処理名称
+        #region 通常処理名称
         /// <summary>
-        /// 処理名称一覧
+        /// 通常処理名称一覧
         /// </summary>
         public static Dictionary<int, string> ProcessExecuteName = new Dictionary<int, string>(){
                                                                                 { (int)ProcessExecuteNo.MainMenu,               "メインメニュー"},
@@ -151,25 +156,32 @@
                                                                                 { (int)ProcessExecuteNo.ConstructionCopyList,   "工事案件コピー－機能"},
                                                                                 { (int)ProcessExecuteNo.PurchaseOrderEntry,     "注文書－入力"},
                                                                                 { (int)ProcessExecuteNo.PurchaseOrderPrint,     "注文書－印刷"},
-                                                                                { (int)ProcessExecuteNo.DepartmentExpenssList,  "部署別台帳－一覧"},
-                                                                                { (int)ProcessExecuteNo.ConstructionLedgerList, "工事詳細台帳－一覧"},
+                                                                                { (int)ProcessExecuteNo.DepartmentExpenssList,  "部署別台帳－表示"},
+                                                                                { (int)ProcessExecuteNo.ConstructionLedgerList, "工事台帳まとめ－表示"},
                                                                                 { (int)ProcessExecuteNo.ConstructionLedger,     "工事詳細台帳－入力"},
                                                                                 { (int)ProcessExecuteNo.TAndPCosts,             "交通費及び購入品等－入力"},
-                                                                                { (int)ProcessExecuteNo.DRList,                 "工事日報－一覧"},
+                                                                                { (int)ProcessExecuteNo.DRList,                 "工事日報一覧－表示"},
                                                                                 { (int)ProcessExecuteNo.DRConstruction,         "工事日報－入力"},
                                                                                 { (int)ProcessExecuteNo.Proceedings,            "打合せ議事録－入力"},
-                                                                                { (int)ProcessExecuteNo.MaterialList,           "資材入力"},
-                                                                                { (int)ProcessExecuteNo.MaterialReserveEntry,   "資材貸出"},
-                                                                                { (int)ProcessExecuteNo.MaterialReturnEntry,    "資材返却"},
-                                                                                { (int)ProcessExecuteNo.RequestSummaryList,     "請求まとめ"},
-                                                                                { (int)ProcessExecuteNo.PaymentConfirmation,    "入金確認"},
-                                                                                { (int)ProcessExecuteNo.RequestInput,           "請求入力"},
-                                                                                { (int)ProcessExecuteNo.RequestPrint,           "請求書印刷"},
-                                                                                //{ (int)ProcessExecuteNo.DailyReportList,        "出勤日報－入力"},
-                                                                                //{ (int)ProcessExecuteNo.PurchaseOrderStatus,    "注文書発給状況－一覧"},
-                                                                                //{ (int)ProcessExecuteNo.OrderJoin,              "工事結合－入力"},
-                                                                                //{ (int)ProcessExecuteNo.ConstructionSplit,      "工事分割－入力"},
-                                                                                //{ (int)ProcessExecuteNo.DRTransport,            "通勤交通費－入力"},
+                                                                                { (int)ProcessExecuteNo.DRWork,                 "出勤日報－入力"},
+                                                                                { (int)ProcessExecuteNo.PurchaseOrderStatus,    "注文書発給一覧－表示"},
+                                                                                { (int)ProcessExecuteNo.OrderJoin,              "工事結合－入力"},
+                                                                                { (int)ProcessExecuteNo.ConstructionSplit,      "見積分割－入力"},
+                                                                                { (int)ProcessExecuteNo.PersonApprovalList,     "担当者承認一覧－表示"},
+                                                                                { (int)ProcessExecuteNo.MaterialList,           "資材入力－入力"},
+                                                                                { (int)ProcessExecuteNo.MaterialHistory,        "資材履歴画面－表示"},
+                                                                                { (int)ProcessExecuteNo.MaterialCountEntry,     "資材数変更画面－入力"},
+                                                                                { (int)ProcessExecuteNo.MaterialReserveEntry,   "資材貸出－入力"},
+                                                                                { (int)ProcessExecuteNo.MaterialReturnEntry,    "資材返却－入力"},
+                                                                                { (int)ProcessExecuteNo.MaterialSelect,         "資材選択－入力"},
+                                                                                { (int)ProcessExecuteNo.RequestSummaryList,     "請求まとめ－入力"},
+                                                                                { (int)ProcessExecuteNo.PaymentConfirmation,    "入金確認－入力"},
+                                                                                { (int)ProcessExecuteNo.RequestInput,           "請求入力－入力"},
+                                                                                { (int)ProcessExecuteNo.RequestPrint,           "請求書－印刷"},
+                                                                                { (int)ProcessExecuteNo.CostomerRegistList,     "発注者登録申請一覧－表示"},
+                                                                                { (int)ProcessExecuteNo.CostomerRegist,         "発注者登録申請－入力"},
+                                                                                { (int)ProcessExecuteNo.SubConstrRegistList,    "協力会社登録申請一覧－表示"},
+                                                                                { (int)ProcessExecuteNo.SubConstrRegist,        "協力会社登録申請－入力"}
         };
 
         #endregion
@@ -205,12 +217,29 @@
                                                                                 { (int)MaintenanceExecuteNo.Security,                   "セキュリティ区分登録"},       // 124
                                                                                 { (int)MaintenanceExecuteNo.OrderDivision,              "発注者区分登録"},             // 125
                                                                                 { (int)MaintenanceExecuteNo.ConstructionExpenses,       "施工経費区分登録"},           // 126
-                                                                                { (int)MaintenanceExecuteNo.MaterialKind,               "資材種類登録"},              // 127
-                                                                                { (int)MaintenanceExecuteNo.MaterialItem,               "資材品目登録"},              // 128
-                                                                                { (int)MaintenanceExecuteNo.SalesConfirm,               "売上確認"},              // 128
+                                                                                { (int)MaintenanceExecuteNo.MaterialKind,               "資材種類登録"},               // 127
+                                                                                { (int)MaintenanceExecuteNo.MaterialItem,               "資材品目登録"},               // 128
+                                                                                { (int)MaintenanceExecuteNo.SalesConfirm,               "売上確認"},                   // 129
                                                                                 };
         #endregion
 
+        #region サブフォーム処理名定義
+        /// <summary>
+        /// サブフォーム処理名定義
+        /// </summary>
+        public static Dictionary<int, string> subFormExecuteName = new Dictionary<int, string>(){
+                                                                                { (int)SubFormExecuteNo.MessageWriter,       "掲示板入力－入力"  },            // 201
+                                                                                { (int)SubFormExecuteNo.MessageReader,       "掲示板読込－表示"  },            // 202
+                                                                                { (int)SubFormExecuteNo.ActionSchdule,       "行動予定－入力" },               // 203
+                                                                                { (int)SubFormExecuteNo.VehicleSchdule,      "車両予約－入力" },               // 204
+                                                                                { (int)SubFormExecuteNo.ApprovalScreen,      "工事承認画面－機能" },           // 205
+                                                                                { (int)SubFormExecuteNo.SubconstractorDiag,  "協力会社検索画面－機能" },       // 206
+                                                                                { (int)SubFormExecuteNo.SuppliersDiag,       "仕入先検索－機能" },             // 207
+                                                                                { (int)SubFormExecuteNo.SubConJobDiag,       "協力会社職種検索画面－機能" },   // 208
+                                                                                { (int)SubFormExecuteNo.ApprovalPerson,      "担当者承認画面－機能" },         // 209
+                                                                                };
+        #endregion
+
         #region 承認処理定義
         /// <summary>
         /// 承認一覧
@@ -245,6 +274,22 @@
             /// 6:工事日報承認
             /// </summary>
             DRConstructionApproval,
+            /// <summary>
+            /// 7:議事録承認
+            /// </summary>
+            DRProceedingsApproval,
+            /// <summary>
+            /// 8:出勤管理承認
+            /// </summary>
+            DRWorkApproval,
+            /// <summary>
+            /// 9:発注者登録承認
+            /// </summary>
+            CostomerRegistApproval,
+            /// <summary>
+            ///10:協力会社登録承認
+            /// </summary>
+            SubConstregistApproval
         }
         #endregion
 
@@ -280,7 +325,9 @@
                                                                                 {5, "請求書承認"},
                                                                                 {6, "工事日報承認"},
                                                                                 {7, "議事録承認"},
-                                                                                {8, "質疑承認"},
+                                                                                {8, "出勤管理承認"},
+                                                                                {9, "発注者登録承認"},
+                                                                                {10, "協力会社登録承認"}
                                                                                 };
 
         #endregion
@@ -289,19 +336,70 @@
         /// <summary>
         /// 承認種別カラーテーブル(承認処理定義と同じ並び)
         /// </summary>
-        public static Color[] ApprovalTypeColorList = new Color[]{  Color.White,
+        //public static Color[] ApprovalTypeColorList = new Color[]{  Color.White,
+        //                                                            Color.RoyalBlue,
+        //                                                            Color.DarkOrange,
+        //                                                            Color.IndianRed,
+        //                                                            Color.Gray,
+        //                                                            Color.Chartreuse,
+        //                                                            Color.SpringGreen,
+        //                                                            Color.SlateGray,
+        //                                                            Color.LightSeaGreen,
+        //                                                            Color.SteelBlue,
+        //                                                            Color.LawnGreen,
+        //                                                            Color.DarkViolet,
+        //                                                            Color.MediumVioletRed,
+        //                                                            Color.MediumSeaGreen,
+        //                                                            };
+        public static Color[] ApprovalTypeColorList = new Color[]{  
+                                                                    Color.White,
                                                                     Color.RoyalBlue,
                                                                     Color.DarkOrange,
                                                                     Color.IndianRed,
                                                                     Color.Gray,
                                                                     Color.Chartreuse,
-                                                                    Color.SpringGreen,
-                                                                    Color.SlateGray,
+                                                                    Color.SteelBlue,
                                                                     Color.LightSeaGreen,
-                                                                    Color.SteelBlue,
                                                                     Color.LawnGreen,
                                                                     Color.DarkViolet,
+                                                                    Color.MediumVioletRed,
+                                                                    Color.MediumSeaGreen,
+                                                                    Color.Chocolate,
+                                                                    Color.DarkGoldenrod,
+                                                                    Color.OrangeRed,
+                                                                    Color.DimGray,
+                                                                    Color.LimeGreen,
+                                                                    Color.Crimson,
+                                                                    Color.Sienna,
+                                                                    Color.OliveDrab,
+                                                                    Color.DarkMagenta,
+                                                                    Color.DarkCyan,
+                                                                    Color.DarkSlateBlue,
+                                                                    Color.SeaGreen,
+                                                                    Color.Olive,
+                                                                    Color.Teal,
+                                                                    Color.Purple,
+                                                                    Color.Blue,
+                                                                    Color.Red,
+                                                                    Color.Lime,
+                                                                    Color.Brown,
+                                                                    Color.Firebrick,
+                                                                    Color.DarkOliveGreen,
+                                                                    Color.SaddleBrown,
+                                                                    Color.ForestGreen,
+                                                                    Color.DarkSlateGray,
+                                                                    Color.Indigo,
+                                                                    Color.MediumBlue,
+                                                                    Color.MidnightBlue,
+                                                                    Color.DarkRed,
+                                                                    Color.DarkBlue,
+                                                                    Color.Green,
+                                                                    Color.Navy,
+                                                                    Color.Maroon,
+                                                                    Color.DarkGreen,
+                                                                    Color.Black
                                                                     };
+
         #endregion
 
         #region 変数
@@ -437,7 +535,11 @@
                             ProcessExecuteNo_ConstructionSplit(m_ProcControlPara[NowPoint]);
                             break;
 
-                        case (int)ProcessExecuteNo.MaterialList:                        // 22:資材一覧
+                        case (int)ProcessExecuteNo.PersonApprovalList:                  // 22:担当者承認申請一覧
+                            ProcessExecuteNo_PersonAppList(m_ProcControlPara[NowPoint]);
+                            break;
+
+                        case (int)ProcessExecuteNo.MaterialList:                        // 23:資材一覧
                             ProcessExecuteNo_MaterialList(m_ProcControlPara[NowPoint]);
                             break;
 
@@ -472,12 +574,29 @@
                         case (int)ProcessExecuteNo.RequestInput:                         // 31:請求入力
                             ProcessExecuteNo_RequestInput(m_ProcControlPara[NowPoint]);
                             break;
+
                         case (int)ProcessExecuteNo.RequestPrint:                        // 32：請求書印刷
                             ProcessExecuteNo_RequestPrint(m_ProcControlPara[NowPoint]);
                             break;
 
-                        #endregion  
+                        case (int)ProcessExecuteNo.CostomerRegistList:                  // 33:発注者登録申請一覧
+                            ProcessExecuteNo_CostomerRegistList(m_ProcControlPara[NowPoint]);
+                            break;
 
+                        case (int)ProcessExecuteNo.CostomerRegist:                      // 34:発注者登録申請
+                            ProcessExecuteNo_CostomerRegist(m_ProcControlPara[NowPoint]);
+                            break;
+
+                        case (int)ProcessExecuteNo.SubConstrRegistList:                 // 35:協力会社登録申請一覧
+                            ProcessExecuteNo_SubConstrRegistList(m_ProcControlPara[NowPoint]);
+                            break;
+
+                        case (int)ProcessExecuteNo.SubConstrRegist:                     // 36:協力会社登録申請
+                            ProcessExecuteNo_SubConstrRegist(m_ProcControlPara[NowPoint]);
+                            break;
+
+                        #endregion
+
                         #region マスタメンテ
                         // ----- マスタメンテ
                         case (int)MaintenanceExecuteNo.System:                          //  1:システム管理
@@ -573,26 +692,35 @@
 
                         #region サブフォーム
                         // ----- サブフォーム
-                        case (int)SubFormExecuteNo.MessageWriter:                       //  1:掲示板入力(新バージョン)
+                        case (int)SubFormExecuteNo.MessageWriter:                       // 201:掲示板入力(新バージョン)
                             SubFormExecuteNo_MessageWriter(m_ProcControlPara[NowPoint]);
                             break;
 
-                        case (int)SubFormExecuteNo.MessageReader:                       //  2:掲示板読込
+                        case (int)SubFormExecuteNo.MessageReader:                       // 202:掲示板読込
                             SubFormExecuteNo_MessageReader(m_ProcControlPara[NowPoint]);
                             break;
 
-                        case (int)SubFormExecuteNo.ActionSchdule:                       //  3:行動予定入力
+                        case (int)SubFormExecuteNo.ActionSchdule:                       // 203:行動予定入力
                             SubFormExecuteNo_ActionSchdule(m_ProcControlPara[NowPoint]);
                             break;
 
-                        case (int)SubFormExecuteNo.VehicleSchdule:                      //  4:車両予約入力
+                        case (int)SubFormExecuteNo.VehicleSchdule:                      // 204:車両予約入力
                             SubFormExecuteNo_VehicleSchdule(m_ProcControlPara[NowPoint]);
                             break;
 
-                        case (int)SubFormExecuteNo.ApprovalScreen:                      //  5:承認画面
+                        case (int)SubFormExecuteNo.ApprovalScreen:                      // 205:承認画面
                             SubFormExecuteNo_ApprovalScreen(m_ProcControlPara[NowPoint]);
                             break;
+
+                        case (int)SubFormExecuteNo.ApprovalPerson:                      // 209:担当者承認画面
+                            SubFormExecuteNo_ApprovalPerson(m_ProcControlPara[NowPoint]);
+                            break;
+
                         #endregion
+
+                        default:
+                            BackProcess();
+                            break;
                     }
                 }
             }
@@ -1366,7 +1494,8 @@
 
                 // パラメータセット
                 frm.ConstructionCode = CurrentPara.IntExecParameter[0];
-                frm.PersonCode = CurrentPara.IntExecParameter[1];
+                frm.OrderNo = CurrentPara.IntExecParameter[1];
+                frm.PersonCode = CurrentPara.IntExecParameter[2];
                 frm.CreateData = CurrentPara.BoolExecParameter[0];
 
                 // フォーム表示
@@ -1411,6 +1540,9 @@
 
                 // パラメータセット
                 frm.ConstructionCode = CurrentPara.IntExecParameter[0];
+                frm.OrderNo = CurrentPara.IntExecParameter[1];
+                frm.PersonCode = CurrentPara.IntExecParameter[2];
+                frm.CreateData = CurrentPara.BoolExecParameter[0];
 
                 // フォーム表示
                 frm.ShowDialog();
@@ -1593,6 +1725,44 @@
         }
         #endregion
 
+        #region 担当者承認申請一覧リスト
+        /// <summary>
+        /// 担当者承認申請一覧リスト
+        /// </summary>
+        /// <param name="CurrentPara"></param>
+        public static void ProcessExecuteNo_PersonAppList(ProcessParameter CurrentPara)
+        {
+            //　担当者承認申請一覧
+            FrmPersonApprList frm = new FrmPersonApprList();
+            try
+            {
+                // 次起動プロセスが設定されていない場合は終了
+                if (CurrentPara.IntExecParameter[0] == 0)
+                {
+                    // 前プロセスに戻る
+                    BackProcess();
+                    return;
+                }
+
+                // 次起動プロセスセット
+                frm.ExecuteFlg = CurrentPara.IntExecParameter[0];
+
+                // フォーム表示
+                frm.ShowDialog();
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
+
         #region 出勤管理入力
         /// <summary>
         /// 出勤管理入力
@@ -1610,16 +1780,20 @@
                 ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
 
                 // 起動・編集フラグ
-                //int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
-                //if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
-                //{
-                //    BackProcess();
-                //    return;
-                //}
-                //if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
 
                 // パラメータセット
-                frm.PersonCode = CurrentPara.IntExecParameter[1];
+                frm.PersonCode = CurrentPara.IntExecParameter[0];
+                if (CurrentPara.DateExecParameter.Count > 0)
+                {
+                    frm.OrdertDate = CurrentPara.DateExecParameter[0];
+                }
 
                 // フォーム表示
                 frm.ShowDialog();
@@ -1636,8 +1810,6 @@
         }
         #endregion
 
-        #endregion
-
         #region 資材一覧画面
         /// <summary>
         /// 資材一覧画面
